summaryrefslogtreecommitdiffstats
path: root/source/ap/at/rc.atd
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-06-13 05:43:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-06-13 09:44:21 +0200
commitd8095c1e90c817c5c1bd4cbb892be7218946279b (patch)
tree031d60b6fcf278de9783be42a3a77d253a03a1ea /source/ap/at/rc.atd
parent2c20c6847e0caa3b62f6e5a0506790393c141932 (diff)
downloadcurrent-d8095c1e90c817c5c1bd4cbb892be7218946279b.tar.gz
current-d8095c1e90c817c5c1bd4cbb892be7218946279b.tar.xz
Wed Jun 13 05:43:00 UTC 201820180613054300
a/dcron-4.5-x86_64-7.txz: Rebuilt. Added init script and defaults file. Moved TMPDIR to /run/cron. Thanks to Robby Workman and shasta. a/efibootmgr-16-x86_64-1.txz: Upgraded. a/efivar-36-x86_64-1.txz: Added. a/elilo-3.16-x86_64-7.txz: Rebuilt. a/glibc-solibs-2.27-x86_64-4.txz: Rebuilt. Don't restart init in the install script, let rc.6 handle it. a/haveged-1.9.2-x86_64-1.txz: Added. a/pkgtools-15.0-noarch-18.txz: Rebuilt. setup.services: add support for rc.atd and rc.crond a/sysvinit-scripts-2.1-noarch-10.txz: Rebuilt. rc.6: restart init when shutting down - this prevents it from holding file handles to removed/upgraded versions of the glibc shared libraries which would interfere with shutdown. rc.K: use full path to telinit rc.M: start rc.atd and rc.crond rc.M: don't remove cron tempfiles (moved to /run/cron) rc.S: start rc.haveged ap/at-3.1.20-x86_64-3.txz: Rebuilt. Added init script and defaults file. l/glibc-2.27-x86_64-4.txz: Rebuilt. Don't restart init in the install script, let rc.6 handle it. l/glibc-i18n-2.27-x86_64-4.txz: Rebuilt. l/glibc-profile-2.27-x86_64-4.txz: Rebuilt. l/gnu-efi-3.0.8-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/ap/at/rc.atd')
-rw-r--r--source/ap/at/rc.atd39
1 files changed, 39 insertions, 0 deletions
diff --git a/source/ap/at/rc.atd b/source/ap/at/rc.atd
new file mode 100644
index 000000000..2e06f1695
--- /dev/null
+++ b/source/ap/at/rc.atd
@@ -0,0 +1,39 @@
+#!/bin/sh
+# /etc/rc.d/rc.atd - start/stop the at daemon
+
+# To change the default options, edit /etc/default/atd.
+if [ -r /etc/default/atd ]; then
+ . /etc/default/atd
+fi
+
+start_atd() {
+ if ! /usr/bin/pgrep --ns $$ --exact atd 1> /dev/null 2> /dev/null ; then
+ echo "Starting atd: /usr/sbin/atd $ATD_OPTS"
+ /usr/sbin/atd $CROND_OPTS
+ fi
+}
+
+stop_atd() {
+ echo "Stopping atd."
+ /usr/bin/pkill --ns $$ --exact atd 2> /dev/null
+}
+
+restart_atd() {
+ stop_atd
+ sleep 1
+ start_atd
+}
+
+case "$1" in
+'start')
+ start_atd
+ ;;
+'stop')
+ stop_atd
+ ;;
+'restart')
+ restart_atd
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac